Bug 1377496 - command "cat < <(cat)" doesn't end with EOF, CTRL+C terminates the whole shell
Summary: command "cat < <(cat)" doesn't end with EOF, CTRL+C terminates the whole shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bash
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Siteshwar Vashisht
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-19 21:55 UTC by Pavel Raiskup
Modified: 2017-08-01 20:32 UTC (History)
3 users (show)

Fixed In Version: bash-4.2.46-26.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:32:05 UTC


Attachments (Terms of Use)
bash44-shellpgrp.patch (460 bytes, patch)
2017-01-24 05:02 UTC, Siteshwar Vashisht
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1931 normal SHIPPED_LIVE Moderate: bash security and bug fix update 2017-08-01 18:26:59 UTC

Comment 2 Siteshwar Vashisht 2017-01-20 14:15:51 UTC
This has been fixed in bash-4.4 and works as expected in rawhide.

Comment 3 Pavel Raiskup 2017-01-20 14:43:48 UTC
Sorry for the wrong reproducer, because it is not obvious what I tried to
say.  So just FTR:

Please don't use the '$ bash -c CMD' command, but rather real interactive
session by '$ bash'.  Then hit the 'CMD' into the started interactive shell,
and try to 'ctrl^C' it.  You'll see the shell is also interrupted.

Comment 4 Siteshwar Vashisht 2017-01-24 05:02:42 UTC
Created attachment 1243822 [details]
bash44-shellpgrp.patch

Don't unconditionally set pipeline_pgrp to shell_pgrp

Comment 9 errata-xmlrpc 2017-08-01 20:32:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1931


Note You need to log in before you can comment on or make changes to this bug.